Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractPrintDialog.PrintDialogOption

    java.lang.Object
      java.lang.Enum<QAbstractPrintDialog.PrintDialogOption>
          com.trolltech.qt.gui.QAbstractPrintDialog.PrintDialogOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractPrintDialog.PrintDialogOption>

Enclosing class:
  QAbstractPrintDialog

    public static enum QAbstractPrintDialog.PrintDialogOption

extends java.lang.Enum<QAbstractPrintDialog.PrintDialogOption>
implements QtEnumerator

Used to specify which parts of the print dialog should be enabled.

Enum Constant Summary
`None` None of the options are enabled.
`PrintCollateCopies` Internal.
`PrintPageRange` The page range selection option is enabled.
`PrintSelection` The print selection option is enalbed.
`PrintToFile` The print to file option is enabled.

Method Summary
`static QAbstractPrintDialog.PrintDialogOptions` | `createQFlags(QAbstractPrintDialog.PrintDialogOption... values)`
`static QAbstractPrintDialog.PrintDialogOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractPrintDialog.PrintDialogOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractPrintDialog.PrintDialogOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QAbstractPrintDialog.PrintDialogOption None

  None of the options are enabled.

### PrintToFile

    public static final QAbstractPrintDialog.PrintDialogOption PrintToFile

  The print to file option is enabled.

### PrintSelection

    public static final QAbstractPrintDialog.PrintDialogOption PrintSelection

  The print selection option is enalbed.

### PrintPageRange

    public static final QAbstractPrintDialog.PrintDialogOption PrintPageRange

  The page range selection option is enabled.

### PrintCollateCopies

    public static final QAbstractPrintDialog.PrintDialogOption PrintCollateCopies

  Internal.

Method Detail

### values

    public static final QAbstractPrintDialog.PrintDialogOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractPrintDialog.PrintDialogOption c : QAbstractPrintDialog.PrintDialogOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractPrintDialog.PrintDialogOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractPrintDialog.PrintDialogOptions createQFlags(QAbstractPrintDialog.PrintDialogOption... values)

### resolve

    public static QAbstractPrintDialog.PrintDialogOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD